Merchant Configuration

Within the Lydian Merchant Portal, each merchant can configure certain settings to affect how and what coins / tokens are accepted.

Get Configuration

The configuration endpoint is designed to return the merchant configuration that is currently set up within the Lydian Merchant Dashboard.

GET /configuration

GET
/configuration
curl --location '{GATEWAY_BASE_URL}/configuration' \
--header 'X-Publishable-Key: {PUBLISHABLE_KEY}' \
--header 'Content-Type: application/json'

Get Configuration Response

  • Name
    appPayEnabled
    Type
    boolean
    Description

    Enables or disables crypto payments via the Lydian app.

  • Name
    cryptoPayEnabled
    Type
    boolean
    Description

    Enables or disables crypto payments through supported blockchain networks.

  • Name
    walletPayEnabled
    Type
    boolean
    Description

    Enables or disables crypto payments via third-party wallet integrations.

  • Name
    lydianPayCluster
    Type
    string
    Description

    The URL for the Lydian Pay blockchain cluster environment.

  • Name
    allowedAssets
    Type
    array
    Description

    List of asset objects that are approved for crypto payments.

    Asset Object
    • Name
      code
      Type
      string
      Description

      Unique code identifier for the asset.

    • Name
      type
      Type
      string
      Description

      Asset classification (e.g., token, coin).

    • Name
      networks
      Type
      array
      Description

      Supported networks for this asset.

  • Name
    walletConnectEnabled
    Type
    boolean
    Description

    Enables or disables connection with WalletConnect-compatible applications.

example response

{
    "appPayEnabled": false,
    "cryptoPayEnabled": true,
    "walletPayEnabled": false,
    "lydianPayCluster": "https://yn61s.lydian.dev",
    "allowedAssets": [
        {
            "code": "ETH",
            "type": "coin",
            "networks": [
                "ethereum"
            ]
        }
    ],
    "walletConnectEnabled": false
}